.button{
    @include transition;
    @include font(16px, 'GothamPro', white, 0, 400, 0.005em);
    background: linear-gradient(180deg, #FF9649 0%, #FF5C00 100%), linear-gradient(0deg, #FFFFFF, #FFFFFF);
    border-radius: 8px;
    cursor: pointer;
    *{
        @include font(16px, 'GothamPro', white, 0, 400, 0.005em);
    }
    &.effect{
        box-shadow: 0px 0px 15px 0px #FF6B004A;
    }
    &:hover{
        box-shadow: 0px 0px 15px 0px #FF6B004A;
    }
    &:active{
        background: #FF650B;
        box-shadow: 0px 0px 15px 0px #FF6B004A;
    }
    &.flex{
        display: flex;
        @include flexCenter;
    }
}

/* Кнопка без фона */
.button.outline{
    position: relative;
    border: 1px solid #FF650B;
    overflow: hidden;
    background: none;
    color: var(--button-color);
    @include transition;
    .button__text{
        color: var(--button-color);
        position: relative;
        z-index: 2;
    }
    &::before{
        background: linear-gradient(180deg, #FF9649 0%, #FF5C00 100%), linear-gradient(0deg, #FFFFFF, #FFFFFF);
        content: '';
        width: 100%;
        height: 100%;
        position: absolute;
        @include TLa();
        opacity: 0;
        z-index: 1;
        @include transition;
        border-radius: 7px;
    }
    &:hover{
        box-shadow: none;
        color: white;
        .button__text{
            color: white;
        }
        &::before{
            content: '';
            opacity: 1;
        }
    }
    &:active{
        &::before{
            content: '';
            opacity: 1;
        }
        .button__text{
            color: white;
        }
    }
}